aboutsummaryrefslogtreecommitdiffstats
path: root/tools/android-wait-for-emulator
diff options
context:
space:
mode:
Diffstat (limited to 'tools/android-wait-for-emulator')
-rwxr-xr-xtools/android-wait-for-emulator25
1 files changed, 25 insertions, 0 deletions
diff --git a/tools/android-wait-for-emulator b/tools/android-wait-for-emulator
new file mode 100755
index 000000000..57d045900
--- /dev/null
+++ b/tools/android-wait-for-emulator
@@ -0,0 +1,25 @@
+#!/bin/bash
+
+# Originally written by Ralf Kistner <ralf@embarkmobile.com>, but placed in the public domain
+
+set +e
+
+bootanim=""
+failcounter=0
+timeout_in_sec=720
+
+until [[ "$bootanim" =~ "stopped" ]]; do
+ bootanim=`adb -e shell getprop init.svc.bootanim 2>&1 &`
+ if [[ "$bootanim" =~ "device not found" || "$bootanim" =~ "device offline"
+ || "$bootanim" =~ "running" ]]; then
+ let "failcounter += 1"
+ echo "Waiting for emulator to start"
+ if [[ $failcounter -gt timeout_in_sec ]]; then
+ echo "Timeout ($timeout_in_sec seconds) reached; failed to start emulator"
+ exit 1
+ fi
+ fi
+ sleep 10
+done
+
+echo "Emulator is ready"